#include "FlowAction.h"

namespace http {

   FlowAction::FlowAction() {
      int len = strlen(hex);
      for(int ix = 0; ix < sizeof(actionId); ++ix) {
         actionId[ix] = hex[random() % len];
      }
   }

   bool FlowAction::action(HTTPParameters &p) {
      return true;
   }

   coreutils::ZString FlowAction::getId() {
      return coreutils::ZString(actionId, sizeof(actionId));
   }


}
